%define pkgname		sweethome3d
%define pkgmod		3DModels
%define modelver	1.2.3

%define __noautoreq '.*VERSION.*'

Name:		SweetHome3D 
Version:	4.1
Release:	%mkrel 1
Summary:	A free interior design application, with a 3D preview
Summary(fr_FR):	Une application libre de conception d'intérieur, avec une visualisation en 3D 
License:	GPLv2
Group:		Graphics/3D
URL:		http://www.sweethome3d.com/
# wget http://sourceforge.net/projects/%%{pkgname}/files/%%{name}-source/%%{name}-%%{version}-src/%%{name}-%%{version}-src.zip
Source0:	%{name}-%{version}-src.zip
# wget http://sourceforge.net/projects/%%{pkgname}/files/%%{name}-source/%%{name}-%%{version}-src/%%{name}-%%{version}-javadoc.zip
Source3:	%{name}-%{version}-javadoc.zip
# wget http://sourceforge.net/projects/%%{pkgname}/files/%%{name}-models/%%{pkgmod}-%%{modelver}/
Source4:	%{pkgmod}-Contributions-%{modelver}.zip
Source5:	%{pkgmod}-KatorLegaz-%{modelver}.zip
Source6:	%{pkgmod}-LucaPresidente-%{modelver}.zip
Source7:	%{pkgmod}-Reallusion-%{modelver}.zip
Source8:	%{pkgmod}-Scopia-%{modelver}.zip
Source9:	%{pkgmod}-Trees-%{modelver}.zip
Source11:	%{name}_128x128.png
# wget http://sourceforge.net/projects/%%{pkgname}/files/TexturesLibraryEditor-source/TexturesLibraryEditor-1.2-src.zip
Source20:	TexturesLibraryEditor-1.2-src.zip
# wget http://sourceforge.net/projects/%%{pkgname}/files/FurnitureLibraryEditor-source/FurnitureLibraryEditor-1.11-src.zip
Source21:	FurnitureLibraryEditor-1.11-src.zip
Patch0:		%{name}.patch

BuildRequires:	ant, java
BuildRequires:	dos2unix

Requires:	java-1.7.0-openjdk
Suggests:	%{_lib}cg0


%description
Sweet Home 3D is a free interior design application that helps you place your
furniture on a house 2D plan, with a 3D preview.
Available at http://www.sweethome3d.eu/, this program is aimed at people who
want to design their interior quickly, whether they are moving or they just
want to redesign their existing home. Numerous visual guides help you draw the
plan of your home and layout furniture. You may draw the walls of your rooms
upon the image of an existing plan, and then, drag and drop furniture onto the
plan from a catalog organized by categories. Each change in the 2D plan is
simultaneously updated in the 3D view, to show you a realistic rendering of
your layout.

%description -l fr_FR
Sweet Home 3D est une application libre de conception d'intérieur qui vous 
aide à placer le mobilier sur un plan 2D, avec une visualisation en 3D.
Disponible à http://www.sweethome3d.eu/, ce programme est dédié à ceux qui 
veulent concevoir rapidement leur intérieur où ils emménagent ou qu'ils 
veulent réagencer. De nombreux guides visuels vous aident à dessiner les 
plans de votre maison et à placer le mobilier. Vous pouvez placer les murs 
de vos pièces sur l'image d'un plan existant, et ensuite glisser-déposer le 
mobilier sur le plan à partir d'un catalogue organisé par catégories. 
Chaque changement dans la vue 2D sera mis à jour dans la vue 3D pour afficher 
le rendu réaliste de votre disposition..

%package 3dmodels
Group:		Graphics/3D
Summary:	Some extra 3DModels for SweetHome3D
Summary(fr_FR):	Quelques modèles 3D supplémentaires pour SweetHome3D
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description 3dmodels
Some extra 3DModels for SweetHome3D.
 
This package contains:
* 3DModels Contributions %{modelver}
* 3DModels KatorLegaz %{modelver}
* 3DModels Scopia %{modelver}
* 3DModels Trees %{modelver}
* 3DModels LucaPresidente %{modelver}
* 3DModels Reallusion-%{modelver}

%description 3dmodels -l fr_FR
Quelques modèles 3D supplémentaires pour SweetHome3D

Ce paquet contient:
* 3DModels Contributions %{modelver}
* 3DModels KatorLegaz %{modelver}
* 3DModels Scopia %{modelver}
* 3DModels Trees %{modelver}
* 3DModels LucaPresidente %{modelver}
* 3DModels Reallusion-%{modelver}

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}
Summary(fr_FR):	Javadoc pour %{name}
BuildArch:	noarch

%description javadoc
Sweet Home 3D - An application for placing your furniture on a house 2D plan,
with a 3D preview

This package contains javadoc for %{name}.

%description javadoc -l fr_FR
Sweet Home 3D - Une application qui vous aide à placer le mobilier sur un 
plan 2D, avec une visualisation en 3D

Ce paquet contient javadoc pour %{name}.


%prep 
%setup -q -n %{name}-%{version}-src
unzip -q %{SOURCE3}
%patch0 -p0

rm -rf lib/windows lib/macosx
%ifarch %{ix86}
rm -rf lib/linux/x64
%else
rm -rf lib/linux/i386
%endif

dos2unix  *.TXT
chmod 644 *.TXT

mkdir -p 3DModels-Contributions
pushd 3DModels-Contributions
    unzip -q %{SOURCE4}
    mv README.TXT README-3DModels-Contributions.txt
    mv LICENSE.TXT LICENSE-3DModels-Contributions.txt
popd
mkdir -p 3DModels-KatorLegaz
pushd 3DModels-KatorLegaz
    unzip -q %{SOURCE5}
    mv README.TXT README-3DModels-KatorLegaz.txt
    mv LICENSE.TXT LICENSE-3DModels-KatorLegaz.txt
popd
mkdir -p 3DModels-LucaPresidente
pushd 3DModels-LucaPresidente
    unzip -q %{SOURCE6}
    mv README.TXT README-3DModels-LucaPresidente.txt
    mv LICENSE.TXT LICENSE-3DModels-LucaPresidente.txt
popd
mkdir -p 3DModels-Reallusion
pushd 3DModels-Reallusion
    unzip -q %{SOURCE7}
    mv README.TXT README-3DModels-Reallusion.txt
    mv LICENSE.TXT LICENSE-3DModels-Reallusion.txt
popd
mkdir -p 3DModels-Scopia
pushd 3DModels-Scopia
    unzip -q %{SOURCE8}
    mv README.TXT README-3DModels-Scopia.txt
    mv LICENSE.TXT LICENSE-3DModels-Scopia.txt
popd
mkdir -p 3DModels-Trees
pushd 3DModels-Trees
    unzip -q %{SOURCE9}
    mv README.TXT README-3DModels-Trees.txt
    mv LICENSE.TXT LICENSE-3DModels-Trees.txt
popd

%build
ant jarExecutable

%install
# .jar-repertory
install -Dm0644 install/%{name}-%{version}.jar %{buildroot}%{_datadir}/%{name}/%{name}.jar

mkdir -p %{buildroot}%{_datadir}/%{name}/lib
install -Dm0644 lib/*.jar %{buildroot}%{_datadir}/%{name}/lib

# 3Dmodels-repertory
mkdir -p %{buildroot}%{_datadir}/%{name}/%{pkgmod}
for i in Contributions KatorLegaz LucaPresidente Reallusion Scopia Trees; do
    install -m 644 3DModels-$i/*.sh3f %{buildroot}%{_datadir}/%{name}/%{pkgmod}
done

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr %{name}-%{version}-javadoc/* %{buildroot}%{_javadocdir}/%{name}

# binary
mkdir -p %{buildroot}%{_bindir}
install -Dm0655 install/linux/%{name} %{buildroot}%{_bindir}/%{name}

# library
%ifarch x86_64 
mkdir -p %{buildroot}%{_libdir}
install -Dm0655 lib/linux/x64/*.so %{buildroot}%{_libdir}/
%else
mkdir -p %{buildroot}%{_libdir}
install -Dm0655 lib/linux/i386/*.so %{buildroot}%{_libdir}/
%endif

# icons-repertory
mkdir -p %{buildroot}%{_datadir}/pixmaps %{buildroot}%{_iconsdir} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/
cp %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
cp %{SOURCE11} %{buildroot}%{_datadir}/pixmaps/%{name}.png
cp deploy/%{name}*.jpg %{buildroot}%{_iconsdir}
cp deploy/%{name}*.gif %{buildroot}%{_iconsdir}

for png in 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Sweet Home 3D
Name[fr]=Sweet Home 3D
Name[ru]=Милый дом 3D
GenericName=Sweet Home 3D
GenericName[fr]=Sweet Home 3D
GenericName[ru]=SweetHome 3D
Comment=Design Application
Comment[fr]=Application de conception d'intérieur en 3D
Comment[ru]=Программа проектирования домашнего интерьера в 3D
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
StartupWMClass=com-eteks-sweethome3d-SweetHome3D
MimeType=foo/bar;foo2/bar2;
Categories=Application;Graphics;2DGraphics;3DGraphics;
EOF

#mkdir -p %%{buildroot}%%{_docdir}/%%{name}
#install -Dm0644 *.TXT %%{buildroot}%%{_docdir}/%%{name}

%files
%doc COPYING* LICENSE.TXT README.TXT
%{_bindir}/%{name}
%{_libdir}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.jar
%{_datadir}/%{name}/lib/*
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/*.jpg
%{_iconsdir}/*.gif
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
#%%{_docdir}/%%{name}/*.TXT

%files 3dmodels
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{pkgmod}/*.sh3f
%doc 3DModels-Contributions/*.txt 3DModels-KatorLegaz/*.txt 3DModels-Scopia/*.txt 3DModels-Trees/*.txt 3DModels-LucaPresidente/*.txt 3DModels-Reallusion/*.txt 

%files javadoc
%dir %{_javadocdir}/%{name}
%{_javadocdir}/%{name}/*


%changelog

* Fri Jun 21 2013 david.david (MLO Team) <david.david> 4.1-1.mga3
+ new version: 4.1
- update P0
- add Suggests: %%{_lib}cg0

* Sat Jun 01 2013 david.david (MLO Team) <david.david> 4.0-3.mga3
+ Rebuild package for Mageia 3 (Core)
- add repertory 3Dmodels to /usr/share/SweetHome3D
- move the extra 3DModels in this new directory

* Fri May 31 2013 david.david (MLO Team) <david.david> 4.0-2.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package from Rosa
- add package javadoc and 3dmodels
- add french language in %%description and %%Summary
- add french comment in .desktop
- new version: 4.0

* Wed May 16 2012 Sergey Zhemoitel <serg@mandriva.org> 3.5-4mdv2011.0
+ Revision: 799155
- update to 3.5 release 2
- update to version 3.5
- add new release 3.4
- new version 3.3
- new release 3.3, added package with source code
- add russian comment in .desktop

* Fri Jul 22 2011 Sergey Zhemoitel <serg@mandriva.org> 3.2-1
+ Revision: 690943
- imported package SweetHome3D
